import MessageAuthor from "../MessageAuthor";
import React, { useMemo } from "react";
import LargeTimestamp from "../LargeTimestamp";
import * as Styles from "../style/message";
import { SystemMessageIconSize } from "../style/message";
import { MessageType } from "discord-api-types/v10";
function BoostTierUpgrade(props) {
    const newLevel = useMemo(() => {
        switch (props.type) {
            case MessageType.GuildBoostTier1:
                return 1;
            case MessageType.GuildBoostTier2:
                return 2;
            case MessageType.GuildBoostTier3:
                return 3;
            default:
                return -1;
        }
    }, [props.type]);
    // todo: guildNameHere
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconBoost" }),
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " just boosted the server ",
            React.createElement("strong", null, props.content),
            " time",
            props.content === "1" ? "" : "s",
            "! guildNameHere has achieved",
            " ",
            React.createElement("strong", null,
                "Level ",
                newLevel,
                "!")),
        React.createElement(LargeTimestamp, { timestamp: props.createdAt })));
}
export default BoostTierUpgrade;
//# sourceMappingURL=BoostTierUpgrade.js.map